Next: KIND, Previous: ITIME, Up: Intrinsic Procedures

### 8.163 `KILL` — Send a signal to a process

Description:
  Sends the signal specified by SIG to the process PID. See `kill(2)`.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL KILL(PID, SIG [, STATUS])`
  `STATUS = KILL(PID, SIG)`

Arguments:

  PID | Shall be a scalar `INTEGER` with `INTENT(IN)`.
  SIG | Shall be a scalar `INTEGER` with `INTENT(IN)`.
  STATUS | [Subroutine](Optional) Shall be a scalar `INTEGER`. Returns 0 on success; otherwise a system-specific error code is returned.
  STATUS | [Function] The kind type parameter is that of `pid`. Returns 0 on success; otherwise a system-specific error code is returned.

See also:
  ABORT, EXIT